const pis = require('../services/pis.services');

async function byOrigDest(req, res, next){
  try {
    let start = req.params.start;
    let end = req.params.end;
    res.json(await pis.findPisByOrigDest(start,end));
  } catch (err) {
    console.error('Unknown Error', err.message);
    next(err);
  }
}

async function byCode(req, res, next){
  try {
    let code = req.params.code;
    res.json(await pis.findPisByCode(code));
  } catch (err) {
    console.error('Unknown Error', err.message);
    next(err);
  }
}

async function random(req, res, next){
  try {
    res.json(await pis.findRandom());
  } catch (err) {
    console.error('Unknown Error', err.message);
    next(err);
  }
}


module.exports = {
  byOrigDest,
  byCode,
  random
};